/*
 * Libraries and headers for PDC release 3.3 (C) 1989 Lionel Hummel.
 * PDC Software Distribution (C) 1989 Lionel Hummel and Paul Petersen.
 * PDC I/O Library (C) 1987 by J.A. Lydiatt.
 *
 * This code is freely redistributable upon the conditions that this 
 * notice remains intact and that modified versions of this file not
 * be included as part of the PDC Software Distribution without the
 * express consent of the copyright holders.  No warrantee of any
 * kind is provided with this code.  For further information, contact:
 *
 *  PDC Software Distribution    Internet:                     BIX:
 *  P.O. Box 4006             or hummel@cs.uiuc.edu            lhummel
 *  Urbana, IL  61801-8801       petersen@uicsrd.csrd.uiuc.edu
 */

/* Macros enabling functions to portably handle variable numbers of
 * arguments.
 * 10 Apr 91 sjw; fix up compatibility with stdarg.h
 * 15 Apr 91 sjw; more compatibility, sort va_arg
 * 21 Apr 91 sjw; get va_arg *right*
 */

#ifndef __VARARGS_H__
#define __VARARGS_H__

#ifdef __STDARG_H__
#undef __STDARG_H__
#undef va_start
#undef va_arg
#undef va_end
#else
typedef char	       *va_list;
#endif

#define va_dcl		int va_alist;
#define va_start(X)	(X = (char *) &va_alist)
#define va_arg(X, T)	((T *)(X += ((sizeof(T) + 3) & ~3)))[-1]
#define va_end(X)

#endif /* __VARARGS_H__ */


